#import "leveldesign.h"

int patternSequence[1][patternProLevel]=
{
    // Level 1
    {0,1,1,2,3,3,4,5,7,0}
};

int aliens[1][aliensProLevel][5]=
{
    {
        {120,280,alien,jumper,2},
        {200,280,alien,jumper,2},
        
        {340,100,eyeball,wobble,1},
        {360,140,eyeball,wobble,1},
        {370,60, eyeball,wobble,1},
        {380,180,eyeball,wobble,1},
        {400,240,eyeball,wobble,1},
        
        {500,160,snake,twist,2},
        {500,160,snakeFollow,twistFollow1,2},
        {500,160,snakeFollow,twistFollow2,2},
        
        {600,290,snake,jumper2,2},
        {601,290,snakeFollow,jumper2,2},
        {602,290,snakeFollow,jumper2,2},
        
        {620,320,staticRobot,guerilla,3},
        {700,320,staticRobot,guerilla,3},
        
        {900,150,alien,wobble,2},
        
        {1000,170,eyeball,attack,1},
        {1050,170,eyeball,attack,1},
        {1100,170,eyeball,attack,1},
        
        {1200,140,snake,twist,2},
        {1200,140,snakeFollow,twistFollow1,2},
        {1200,140,snakeFollow,twistFollow2,2},
        
        {1650,180,snake,bigtwist,2},
        {1650,180,snakeFollow,bigtwistFollow1,2},
        {1650,180,snakeFollow,bigtwistFollow2,2}
        
    }
    
};

int pattern[10][tilesProPattern][2][2]=
{ // 10 Pattern a 5 Segmente
    { // (oben: y-Koordinate, Typ)
        // (unten: y-Koordinate, Typ)
        {{  0, 0 },{ 0, 0 }},
        {{  0, 0 },{ 0, 0 }},
        {{  0, 0 },{ 20, 0 }},
        {{  0, 0 },{ 40, 0 }},
        {{  0, 0 },{ 20, 0 }}
    },
    {
        {{ 20, 0 },{ 20, 1 }},
        {{ 20, 1 },{ 20, 0 }},
        {{ 20, 2 },{ 20, 2 }},
        {{ 20, 2 },{ 20, 0 }},
        {{ 20, 1 },{ 20, 1 }}
    },
    {
        {{  20, 0 },{ 20, 0 }},
        {{  60, 2 },{ 40, 1 }},
        {{ 140, 3 },{ 60, 0 }},
        {{  60, 0 },{ 80, 1 }},
        {{  40, 2 },{ 60, 2 }}
    },
    {
        {{  20, 0 },{  40, 1 }},
        {{ 100, 2 },{  20, 2 }},
        {{ 100, 1 },{ 100, 1 }},
        {{ 120, 2 },{ 120, 4 }},
        {{ 100, 0 },{ 100, 0 }}
    },
    {
        {{ 80, 1 },{  80, 0 }},
        {{ 60, 0 },{  80, 0 }},
        {{ 60, 2 },{ 100, 1 }},
        {{ 20, 1 },{ 120, 1 }},
        {{ 40, 0 },{ 140, 0 }}
    },
    {
        {{ 20, 0 },{ 160, 2 }},
        {{ 20, 1 },{ 160, 2 }},
        {{ 40, 2 },{ 140, 0 }},
        {{ 60, 1 },{ 120, 4 }},
        {{ 80, 1 },{ 100, 0 }}
    },
    {
        {{ 100, 2 },{ 80, 1 }},
        {{ 120, 0 },{ 60, 0 }},
        {{ 140, 2 },{ 40, 2 }},
        {{ 160, 0 },{ 20, 2 }},
        {{ 160, 3 },{ 20, 0 }}
    },
    {
        {{ 60, 1 },{  80, 1 }},
        {{ 80, 1 },{ 100, 0 }},
        {{ 60, 0 },{ 100, 2 }},
        {{ 60, 0 },{ 120, 2 }},
        {{ 80, 2 },{ 100, 4 }}
    },
    {
        {{ 100, 4 },{ 40, 1 }},
        {{  80, 2 },{ 40, 2 }},
        {{  60, 1 },{ 20, 2 }},
        {{  40, 1 },{ 20, 1 }},
        {{  20, 0 },{ 40, 0 }}
    },
    {
        {{ 40, 1 },{ 40, 1 }},
        {{ 60, 2 },{ 40, 0 }},
        {{ 40, 0 },{ 60, 0 }},
        {{ 60, 0 },{ 80, 1 }},
        {{ 80, 1 },{ 80, 0 }}
    }
};

@implementation leveldesign
@end