#import <UIKit/UIKit.h>
#import <CoreGraphics/CoreGraphics.h>
#import <QuartzCore/QuartzCore.h>
#import "Sprite.h"
#import "Particle.h"

@interface ViewController : UIViewController {
    // Das duerfte bekannt sein:
    UIView *canvas;
    Sprite *player;
    int zaehler;
    bool normalAction;
    int level;
    double screenWidth;
    double screenHeight;
    
    // Steuerung
    UIImageView *joypad;
    double playerSpeedX;
    double playerSpeedY;
    
    // Container fuer die Plattformen
    NSMutableArray *areaTop;
    NSMutableArray *areaBottom;
    int areaCurrentTile;
    int tilesTotal;
    
    // Preloader fuer die Grafiken
    NSMutableArray *imageSource;
    NSMutableArray *animationSource;
    
    // Aliens
    NSMutableArray *enemySource;
    NSMutableArray *enemy;
    float sinus[628];
    int maxSpriteWidth;
    
    // Schuss
    NSMutableArray *shots;
    
    // Schuesse der Aliens
    NSMutableArray *alienshots;
    
    // Sterne, Explosionen, etc
    NSMutableArray *backgroundParticles;
    
}

@property (nonatomic,strong) UIView *canvas;
@property (nonatomic,strong) UIImageView *joypad;
@property (nonatomic,strong) Sprite *player;
@property (nonatomic, strong) NSMutableArray *imageSource;
@property (nonatomic, strong) NSMutableArray *animationSource;
@property (nonatomic, strong) NSMutableArray *enemySource;
@property (nonatomic, strong) NSMutableArray *enemy;
@property (nonatomic, strong) NSMutableArray *areaTop;
@property (nonatomic, strong) NSMutableArray *areaBottom;
@property (nonatomic, strong) NSMutableArray *shots;
@property (nonatomic, strong) NSMutableArray *alienshots;
@property (nonatomic, strong) NSMutableArray *backgroundParticles;
@end